Page 1 of 1

Flash wont install on Firefox.

Posted: Fri Feb 24, 2017 10:52 am
by inkoalawetrust
I tried installing the APT package from the official site but i keep getting this:
W: Can't drop privileges for downloading as file '/var/cache/apt/archives/partial/adobe-flashplugin_1%3a20161108.1-0ubuntu0.16.04.1_amd64.deb' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
W: Failed to fetch http://archive.canonical.com/ubuntu/poo ... _amd64.deb
404 Not Found [IP: (No)]

Re: Flash wont install on Firefox.

Posted: Fri Feb 24, 2017 11:02 am
by George99
Why even try to update flash by hand as you will get the updates by Mint Updater anyway?

Re: Flash wont install on Firefox.

Posted: Fri Feb 24, 2017 11:06 am
by inkoalawetrust
I'm not trying to update it im trying to install it on Firefox but i cant.

Re: Flash wont install on Firefox.

Posted: Fri Feb 24, 2017 11:16 am
by George99
OK, so in order to install Flash by hand, try this:

Open a terminal and enter

Code: Select all

sudo apt install flashplugin-installer

Re: Flash wont install on Firefox.

Posted: Fri Feb 24, 2017 11:29 am
by inkoalawetrust
Image

Re: Flash wont install on Firefox.

Posted: Fri Feb 24, 2017 11:32 am
by George99
So there this another package available you can try:

Code: Select all

sudo apt install adobe-flashplugin
EDIT: Maybe I misunderstood you. You said you downloaded from the official site so I thought you meant https://get.adobe.com/flashplayer/ instead of the LM-repository. So back to start what exactly did you try in your first step?

Re: Flash wont install on Firefox.

Posted: Fri Feb 24, 2017 12:20 pm
by inkoalawetrust
Image Also i did mean i tried from get.adobe.com

Re: Flash wont install on Firefox.

Posted: Fri Feb 24, 2017 1:13 pm
by George99
For some reason you get an outdated version offered by Ubuntu.

When I purge adobe-flashplugin and reinstall it afterwards, I get version 1:20170214.1-0ubuntu0.16.04.1 and not 1:20161108.1-0ubuntu0.16.04.1

Maybe your apt cache is corrupted or just outdated.

Code: Select all

sudo apt clean
sudo apt update
sudo apt upgrade
sudo apt install adobe-flashplugin

Re: Flash wont install on Firefox.

Posted: Sat Feb 25, 2017 3:00 pm
by dieselman8228
I am an extreme newbie to Linux, but seems when I installed Google Chrome and installed Flash Player it updated my Fire Fox as well. Maybe there is just a problem with the package you are downloading. It may be beneficial to download and install through Chrome and see if it updates Fire Fox as well